import { default as React } from 'react';

export type ConnectConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Connect Configuration surface. This component will take
 * care of styling your component so it looks good in the **Connect** section of the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.ConnectConfiguration
 * @example
 * ```tsx
 * import { ConnectConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <ConnectConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </ConnectConfigurationSurface>
 * ```
 */
export declare const ConnectConfigurationSurface: ({ className, children, ...otherProps }: ConnectConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=ConnectConfigurationSurface.d.ts.map