import { default as React } from 'react';

export type SiteMetricsSurfaceProps = {
    className?: string | undefined;
    children?: React.ReactNode | undefined;
};
/**
 * A container element used to render the Site Metrics surface. This component
 * will take care of styling your component so it looks good as a section
 * rendered under the metrics navigation for sites in the Netlify UI.
 *
 * <!-- TODO(calebbarnes): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteMetrics
 * @example
 * ```tsx
 * import { SiteMetricsSurface } from "@netlify/sdk/react/components";
 *
 * <SiteMetricsSurface>
 *   <div>Your surface content goes here</div>
 * </SiteMetricsSurface>
 * ```
 */
export declare const SiteMetricsSurface: ({ className, children, ...otherProps }: SiteMetricsSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteMetricsSurface.d.ts.map